# Filter the connection relevant flows
filter_connection <- function(data, delta=10) {
  length <- dim(data)[1]
  conn <- rep(FALSE, length);
  for (i in 1:length) {
    if (!conn[i]) {
      for (j in i:ifelse(i+delta > length, length, i+delta)) {
        if (!conn[j] & 
          data$sa[i]==data$da[j] & 
          data$sp[i]==data$dp[j]) {
          conn[i]=TRUE;
          conn[j]=TRUE;
          break;
        }
      }
    }
  }
  return (conn)
}
