package util;

import javax.swing.tree.DefaultMutableTreeNode;

public class VisTreeNode extends DefaultMutableTreeNode {
	public String name="";
	public String description = "";
	
	public VisTreeNode(String name, boolean allowChildren){
		super(name,allowChildren);
		this.name = name;
	}
	
	public VisTreeNode(String name, boolean allowChildren, String description){
		super(name,allowChildren);
		this.name = name;
		this.description = description;
	}
	
	public String toString(){
		return this.name;
	}
}
