#!/bin/bash
# dump binary nfdump data to readable csv data with customized flow records.
# $1 the output (customized csv data) file name.
# $[2-*] the option for nfdump

# output path
out=$1

# copy header to output file
cat scripts/vismix.hdr > $out

# shift the arguments left so the new argument array are all for nfdump
shift 1

# using modified nfdump to dump in customized format
nfdump -q -o vismix $* >> $out
